<html>
<head>
<title>OGRE: OgreShadowVolumeExtrudeProgram.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreShadowVolumeExtrudeProgram.h</h1><a href="OgreShadowVolumeExtrudeProgram_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __SHADOWVOLUMEEXTRUDEPROGRAM_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __SHADOWVOLUMEEXTRUDEPROGRAM_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreLight_8h.html">OgreLight.h</a>"</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre {
<a name="l00130"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html">00130</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html" title="Static class containing source for vertex programs for extruding shadow volumes.">ShadowVolumeExtrudeProgram</a>
<a name="l00131"></a>00131     {
<a name="l00132"></a>00132     <span class="keyword">private</span>:
<a name="l00133"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b56197126793da3e040dc150b5fd1e06">00133</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointArbvp1;
<a name="l00134"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#5051dc1085926275064659768aea467b">00134</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointVs_1_1;
<a name="l00135"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#efc5b5ac5e3255ed2a465cbc905b3195">00135</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirArbvp1;
<a name="l00136"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#401d91604ee4e8facae67f0c695f65d6">00136</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirVs_1_1;
<a name="l00137"></a>00137         <span class="comment">// same as above, except the color is set to 1 to enable debug volumes to be seen</span>
<a name="l00138"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d20b614bd7f8d02b8ce4f7a6d9191110">00138</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointArbvp1Debug;
<a name="l00139"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#1393918d3278e77c93bc97e9787335ab">00139</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointVs_1_1Debug;
<a name="l00140"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d47342225ab750f67c2d5f76ea215cae">00140</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirArbvp1Debug;
<a name="l00141"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#9303cb3afe98547901fdb352989735af">00141</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirVs_1_1Debug;
<a name="l00142"></a>00142         
<a name="l00143"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#94c3eb59aea5b8e4e736f325a71093ea">00143</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointArbvp1Finite;
<a name="l00144"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#efebfc24ddff4f30b0edd1e088f395d5">00144</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointVs_1_1Finite;
<a name="l00145"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#107e11989da6a8c7e0ba15e96e954f7e">00145</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirArbvp1Finite;
<a name="l00146"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#2e47f0ab069147cc872db91a4eeedc13">00146</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirVs_1_1Finite;
<a name="l00147"></a>00147         <span class="comment">// same as above, except the color is set to 1 to enable debug volumes to be seen</span>
<a name="l00148"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b1838186657204fbed0362c16ac25ec4">00148</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointArbvp1FiniteDebug;
<a name="l00149"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#2eb9b8a45929da482315a49b8f0a1453">00149</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mPointVs_1_1FiniteDebug;
<a name="l00150"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#0e442c11f0cce78264e19a4cb1ba16e4">00150</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirArbvp1FiniteDebug;
<a name="l00151"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d56bbecfb0db4059254fa8577e9ffc53">00151</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mDirVs_1_1FiniteDebug;
<a name="l00152"></a>00152 
<a name="l00153"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#44f9f4960f34af1c3c458ef0b3722e57">00153</a>         <span class="keyword">static</span> <span class="keywordtype">bool</span> mInitialised;
<a name="l00154"></a>00154 
<a name="l00155"></a>00155     <span class="keyword">public</span>:
<a name="l00156"></a><a class="code" href="OgreShadowVolumeExtrudeProgram_8h.html#aeab622fe3062d932f1d02f0e606de5a">00156</a> <span class="preprocessor">#define OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS 8</span>
<a name="l00157"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623">00157</a> <span class="preprocessor"></span>        <span class="keyword">enum</span> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623">Programs</a>
<a name="l00158"></a>00158         {
<a name="l00159"></a>00159             <span class="comment">// Point light extruder, infinite distance</span>
<a name="l00160"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623a3e7b73929a3898e4e75d8a6eb53d931">00160</a>             POINT_LIGHT = 0,
<a name="l00161"></a>00161             <span class="comment">// Point light extruder, infinite distance, debug mode</span>
<a name="l00162"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623f4d3d45a57d9dfd4eb439e564305d0c5">00162</a>             POINT_LIGHT_DEBUG = 1,
<a name="l00163"></a>00163             <span class="comment">// Directional light extruder, infinite distance</span>
<a name="l00164"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623be106ce64f87c499f0f9795d8f179fb4">00164</a>             DIRECTIONAL_LIGHT = 2,
<a name="l00165"></a>00165             <span class="comment">// Directional light extruder, infinite distance, debug mode</span>
<a name="l00166"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623b88033d4c3fef76acf231db879dd33a5">00166</a>             DIRECTIONAL_LIGHT_DEBUG = 3,
<a name="l00167"></a>00167             <span class="comment">// Point light extruder, finite distance</span>
<a name="l00168"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623a6524c3c7c49f7f93c684cfa3e9f9843">00168</a>             POINT_LIGHT_FINITE = 4,
<a name="l00169"></a>00169             <span class="comment">// Point light extruder, finite distance, debug mode</span>
<a name="l00170"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a6238b6fc01b15aa39d9fb62e07a6673b225">00170</a>             POINT_LIGHT_FINITE_DEBUG = 5,
<a name="l00171"></a>00171             <span class="comment">// Directional light extruder, finite distance</span>
<a name="l00172"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a6232caab40e2442c76f90b6942629ece2a8">00172</a>             DIRECTIONAL_LIGHT_FINITE = 6,
<a name="l00173"></a>00173             <span class="comment">// Directional light extruder, finite distance, debug mode</span>
<a name="l00174"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a6234c4ad12515f7a0d2478e9d1b4713ea88">00174</a>             DIRECTIONAL_LIGHT_FINITE_DEBUG = 7
<a name="l00175"></a>00175 
<a name="l00176"></a>00176         };
<a name="l00177"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#cc460f2fd05285222cc1e6b09d72ed66">00177</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> programNames[<a class="code" href="OgreShadowVolumeExtrudeProgram_8h.html#aeab622fe3062d932f1d02f0e606de5a">OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS</a>];
<a name="l00178"></a>00178 
<a name="l00180"></a>00180         <span class="keyword">static</span> <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00182"></a>00182         <span class="keyword">static</span> <span class="keywordtype">void</span> shutdown(<span class="keywordtype">void</span>);
<a name="l00184"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#53d30e4fc8035c45edcbfeec3d542425">00184</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderArbvp1(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1; }
<a name="l00186"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c113d70239242bfee84986a8a9b804cd">00186</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderVs_1_1(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1; }
<a name="l00188"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c050f98eb30595ce944e14684abf41e5">00188</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderArbvp1(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1; }
<a name="l00190"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c5e595c3758db6d51170c18c1a07b55f">00190</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderVs_1_1(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1; }
<a name="l00191"></a>00191 
<a name="l00193"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#08462c312f24ebdcb85b01d9216de81a">00193</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderArbvp1Debug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1Debug; }
<a name="l00195"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#8f9515284435138237cb10953343fb16">00195</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderVs_1_1Debug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1Debug; }
<a name="l00197"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#588fe455365043a2753f5a1bda5925e6">00197</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderArbvp1Debug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1Debug; }
<a name="l00199"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c455c2d8ffccf239ab7710b7256e1c34">00199</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderVs_1_1Debug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1Debug; }
<a name="l00201"></a>00201         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getProgramSource(<a class="code" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc" title="Defines the type of light.">Light::LightTypes</a> lightType, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> syntax, 
<a name="l00202"></a>00202             <span class="keywordtype">bool</span> finite, <span class="keywordtype">bool</span> debug);
<a name="l00203"></a>00203 
<a name="l00204"></a>00204         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getProgramName(<a class="code" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc" title="Defines the type of light.">Light::LightTypes</a> lightType, <span class="keywordtype">bool</span> finite, <span class="keywordtype">bool</span> debug);
<a name="l00205"></a>00205 
<a name="l00206"></a>00206 
<a name="l00207"></a>00207 
<a name="l00208"></a>00208 
<a name="l00209"></a>00209 
<a name="l00211"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#abfe751eb718a9640c288990b69dc2d9">00211</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderArbvp1Finite(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1Finite; }
<a name="l00213"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b49594367aab6c943d4d83d6c64de771">00213</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderVs_1_1Finite(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1Finite; }
<a name="l00215"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#990ce03657ecc3772f87039f61f43b70">00215</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderArbvp1Finite(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1Finite; }
<a name="l00217"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#0b891cb31debd7097ec72bea940a111c">00217</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderVs_1_1Finite(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1Finite; }
<a name="l00218"></a>00218 
<a name="l00220"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0b615596b5e701a0b1392cd1fb94236">00220</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderArbvp1FiniteDebug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1FiniteDebug; }
<a name="l00222"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b90674080062ae986b08cf73e02284f4">00222</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getPointLightExtruderVs_1_1FiniteDebug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1FiniteDebug; }
<a name="l00224"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#933bdc6da08c8c7f604c544a1e15b004">00224</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderArbvp1FiniteDebug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1FiniteDebug; }
<a name="l00226"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b47b4ba53a32ba5cadefff21c052504a">00226</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getDirectionalLightExtruderVs_1_1FiniteDebug(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1FiniteDebug; }
<a name="l00227"></a>00227 
<a name="l00228"></a>00228 
<a name="l00229"></a>00229 
<a name="l00230"></a>00230         
<a name="l00231"></a>00231     };
<a name="l00232"></a>00232 }
<a name="l00233"></a>00233 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
